foundation-0.0.3: Alternative prelude with batteries and no dependencies

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Foundation.Convertible

Description

Synopsis

- class Convertible a b where
  - type Convert a b

# Documentation

class Convertible a b where #

Class of things that can be converted from a to b

Minimal complete definition

convert

Associated Types

type Convert a b #

Methods

convert :: Proxy b -> a -> Convert a b #

Instances

Convertible a a # |
Associated Types type Convert a a :: * # Methods convert :: Proxy * a -> a -> Convert a a #